Subject: ADS
From: "Jim Kirchstein" <[email-masked]>
To: "ADS JR" <[email-masked]>
Cc: "Kay Price" <[email-masked]>
Date: Tue, 20 Sep 2011 09:47:24 -0500

JR...I see that you've put a lot of time in inventorying, identifying ADS stuff in the closet...good job!
Did you by chance see the DVD of Ghost Busters that has the Derleth story...it was in a 6X9 manila envelope.
Each of the bins that hold the CD/DVD disc (top two shelves in the new cabinet), have a slip of paper that identifies the contents. When you have time, if you could type out the same info...Kay has trouble reading my handwriting (I think it is her age) ( I have no problem)...it would be great.
Thanks

JK